import { customElement, DeesElement, type TemplateResult, html, type CSSResult, } from '@design.estate/dees-element';

import * as domtools from '@design.estate/dees-domtools';
import { demoFunc } from './dees-toast.demo.js';

declare global {
  interface HTMLElementTagNameMap {
    'dees-toast': DeesToast;
  }
}

@customElement('dees-toast')
export class DeesToast extends DeesElement {
  public static demo = demoFunc;

  constructor() {
    super();
    domtools.elementBasic.setup();
  }

  public render(): TemplateResult {
    return html`
      ${domtools.elementBasic.styles}
      <style></style>
      
    `;
  }
}
